Unit tsf23c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF23C_p;

function tsf23c: String;

implementation

function tsf23c: String;
var
L,IERR :Integer;
ARGR,ARGI,EPS,ANSR1,ANSI1 :Real;
begin
Result := '';  {   }
ARGR := 6.7;
ARGI := 0.3;
EPS := 1.E-12;
L := 0;
SF23C(ARGR,ARGI,ANSR1,ANSI1,EPS,L,IERR);
Result := Result + Format(' %20.16f  %20.16f %20.16f ',
 [ANSR1,ANSI1,EPS]) + #$0D#$0A;
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('tsf23c',Result);  {     tsf23c.res }
exit;
end;

end.
